﻿@import url("https://fonts.googleapis.com/css?family=Raleway");

:root {
    --glow-color: cyan;
}

.home-Container {
    margin: 10vw auto 0 auto;
    position: relative;
    height: 50vw;
    width: 80vw;
    display: flex;
    background-color: none;
    align-content: center;
    z-index: 0;
    gap: 2vw;
}

.left-box {
    flex: 1;
    height: 40vw;
    background-color: black;
    align-items: center;
    box-shadow: 0 0 20px cyan;
    backdrop-filter: blur(10px);
    border-radius: 25px;
    border: 2px solid cyan;
}

.picbox {
    position: relative;
    width: 75%;
    height: auto;
    background-color: #2d2d2d;
    border-radius: 25px;
    left: 50%;
    transform: translateX(-50%);
    top: 4%;
}

.profile-photo {
    position: relative;
    width: 100%;
    height: auto;
    left: 50%;
    transform: translateX(-50%);
    transition: transform .3s ease;
}

    .profile-photo:hover {
        transform: translateX(-50%) scale(1.1);
    }

.text1 {
    position: relative;
    text-align: center;
    top: 5%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 1.5vw;
    color: white;
    cursor: default;
}

.text2 {
    margin-top: 5px;
    margin-bottom: 15px;
    position: relative;
    width: 50%;
    height: auto;
    top: 1%;
    left: 50%;
    transform: translateX(-50%);
    font-size: .9vw;
    color: white;
    background-color: #00d5d5;
    backdrop-filter: blur(10px);
    border-radius: 25px;
    cursor: default;
}

.v-line {
    margin-top: 15px;
    margin-bottom: 15px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    width: 70%;
    height: 2px;
    border-top: 2px solid #4a4a4a;
}

.contact-template {
    margin-left: 1vw;
    margin-bottom: 2.5vh;
    position: relative;
    gap: .75vw;
    top: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
}

.image-box {
    width: 2vw;
}

    .image-box img {
        width: 100%;
        filter: invert();
        pointer-events: none;
    }

    .image-box:hover {
        transform: scale(1.2);
    }

.contact-info {
    width: 60%;
    color: white;
    font-size: .9vw;
    cursor: default;
}

.social-iconsF {
    margin-top: .25vw;
    display: flex;
    gap: .25vw;
}

    .social-iconsF a img {
        width: 25px;
        transition: width 0.3s ease;
        filter: invert() brightness(1);
    }

        .social-iconsF a img:hover {
            filter: invert() brightness(0.6);
            transform: scale(1.1);
        }


.right-box {
    flex: 4;
    height: 45vw;
    background-color: black;
    box-shadow: 0 0 20px cyan;
    backdrop-filter: blur(10px);
    border-radius: 25px;
    border: 2px solid cyan;
}

.tabs {
    position: absolute;
    top: 0;
    right: 0;
    background-color: #111;
    border-radius: 0 23px 0 23px;
    padding-right: 15px;
    padding-left: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    justify-content: center;
}

.tab-button {
    background-color: transparent;
    color: white;
    border: none;
    padding: 8px 12px;
    margin-right: 5px;
    border-radius: 15px;
    cursor: pointer;
    justify-content: center;
}

    .tab-button.active {
        color: #aaaaaa;
        cursor: default;
    }

        .tab-button.active:hover {
            color: #aaaaaa;
        }

    .tab-button:hover {
        color: cyan;
    }

.tab-content {
    display: none;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    padding: 6px 12px;
    height: 100%;
    border-top: none;
}

    .tab-content.active {
        display: block;
        opacity: 1;
    }


.right-title {
    position: absolute;
    top: 0;
    left: 0;
    margin-left: 65px;
    margin-top: 2.5vw;
    justify-content: center;
    font-size: 2.1vw;
    color: white;
    font-family: 'Franklin Gothic Book';
    cursor: default;
}

.underline2 {
    position: absolute;
    top: 6vw;
    left: 65px;
    height: 5px;
    width: 75px;
    border-top: 3px solid cyan;
    transition: transform 0.3s ease;
}

.text3 {
    position: relative;
    margin-top: 15px;
    width: 55vw;
    color: #aaaaaa;
    cursor: default;
    font-size: .95vw;
}

.part-title {
    position: relative;
    width: 55.5vw;
    display: flex;
    margin-top: 1.5vw;
    pointer-events: none;
    cursor: default;
}

    .part-title img {
        width: 2vw;
        height: 2vw;
        filter: invert();
    }

    .part-title p {
        margin-left: 10px;
        font-size: 1.25vw;
        color: white;
    }

.education-timeline {
    margin-left: 1vw;
    position: relative;
    display: flex;
    flex-direction: column;
    width: 0;
}

.milestone {
    display: flex;
    width: 55.5vw;
    align-items: center;
    margin-top: 20px;
}

.dot {
    width: .6vw;
    height: .6vw;
    left: 50%;
    transform: translateX(-50%);
    background-color: cyan;
    margin-right: 1vw;
}

.text4 {
    font-size: 1.25vw;
    color: white;
    cursor: default;
}

.text5 {
    font-size: .9vw;
    color: #aaaaaa;
    cursor: default;
}

.milestone-line {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: .12vw;
    height: 8.75vw;
    background-color: #3a3a3a;
}

.skillsc {
    position: relative;
    left: 50%;
    display: flex;
    justify-content: space-between;
    margin: 15px auto 0 auto;
    width: 51vw;
    cursor: default;
}

.scol {
    flex: 1;
    margin: 0 .5vw;
    padding: .5vw;
    border: 1px solid cyan;
    border-radius: 10px;
    background-color: #111;
}

    .scol h2 {
        text-align: center;
        font-size: 1.25vw;
        color: white;
    }

.item {
    display: flex;
    align-items: center;
    margin: .5vw 0;
}

    .item img {
        width: 1.25vw;
        height: 1.25vw;
        margin-right: 10px;
        pointer-events: none;
    }

    .item p {
        margin: 0;
        color: #aaaaaa;
        font-size: .95vw;
    }

.projectsc {
    position: relative;
    left: 75%;
    display: flex;
    width: 46vw;
    height: 18vw;
    background-color: transparent;
    padding: 5px 10px 5px 10px;
    border-radius: 8px;
    cursor: default;
    overflow-x: auto;
    overflow-y: hidden;
}

    .projectsc::-webkit-scrollbar {
        height: 5.5px;
    }

    .projectsc::-webkit-scrollbar-track {
        background: #2a2a2a;
    }

    .projectsc::-webkit-scrollbar-thumb {
        background-color: cyan;
    }

        .projectsc::-webkit-scrollbar-thumb:hover {
            background: white;
        }

.pcol {
    display: inline-flex;
    width: 14.5vw;
    height: 100%;
    flex-direction: column;
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
}

    .pcol img {
        width: 14.5vw;
        height: 135px;
        aspect-ratio: 16 / 9;
    }

    .pcol h2 {
        margin: 0 0 10px 0;
        text-align: center;
        font-size: 1vw;
        color: white;
        width: 240px;
        word-wrap: break-word;
        word-break: break-word;
    }

    .pcol p {
        margin: 10px 0;
        text-align: center;
        font-size: 14px;
        color: #aaaaaa;
        word-wrap: break-word;
        word-break: break-word;
        font-size: .8vw;
    }

.button1 {
    --animation-color: cyan;
    --text-stroke-color: #6a6a6a;
    --border-right: 1.5px;
    margin-left: 2.25vw;
    transform: translateY(-5px);
    background: transparent;
    position: relative;
    border: none;
    cursor: pointer;
    text-decoration: none;
    font-size: 12px;
    text-transform: uppercase;
    color: transparent;
    -webkit-text-stroke: .5px var(--text-stroke-color);
}
/* this is the text, when you hover on button */
.hover-text {
    position: absolute;
    box-sizing: border-box;
    content: attr(data-text);
    color: var(--animation-color);
    width: 0%;
    inset: 0;
    border-right: var(--border-right) solid transparent;
    overflow: hidden;
    transition: 0.5s;
    -webkit-text-stroke: 1px var(--animation-color);
}
/* hover */
.button1:hover .hover-text {
    width: 100%;
    filter: drop-shadow(0 0 23px var(--animation-color));
    text-shadow: 5px 5px 7.5px rgba(0, 0, 0, 0.75);
    border-right: var(--border-right) solid var(--animation-color);
}

.RightC {
    width: 30vw;
    top: 0%;
    left: 26.5vw;
    position: absolute;
}

.glowing-btn {
    position: relative;
    margin: 1vw 0 .5vw 0;
    transform: translateX(23.5%);
    color: var(--glow-color);
    cursor: pointer;
    padding: 0.35em 1em;
    border: 0.15em solid var(--glow-color);
    border-radius: 0.45em;
    background: none;
    perspective: 3em;
    font-family: "Raleway", sans-serif;
    font-size: .75vw;
    font-weight: 750;
    letter-spacing: 1em;
    -webkit-box-shadow: inset 0px 0px 0.5em 0px var(--glow-color), 0px 0px 0.5em 0px var(--glow-color);
    -moz-box-shadow: inset 0px 0px 0.5em 0px var(--glow-color), 0px 0px 0.5em 0px var(--glow-color);
    box-shadow: inset 0px 0px 0.5em 0px var(--glow-color), 0px 0px 0.5em 0px var(--glow-color);
    animation: border-flicker 2s linear infinite;
}

.glowing-txt {
    float: left;
    margin-right: -0.8em;
    text-shadow: 0 0 0.125em hsl(0 0% 100% / 0.3), 0 0 0.45em var(--glow-color);
    animation: text-flicker 3s linear infinite;
}

.faulty-letter {
    opacity: 0.5;
    animation: faulty-flicker 2s linear infinite;
}

.glowing-btn::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0.7;
    filter: blur(1em);
    transform: translateY(120%) rotateX(95deg) scale(1, 0.35);
    background: var(--glow-color);
    pointer-events: none;
}

.glowing-btn::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    z-index: -1;
    background-color: var(--glow-color);
    box-shadow: 0 0 2em 0.2em var(--glow-color);
    transition: opacity 100ms linear;
}

.glowing-btn:hover {
    color: rgba(0, 0, 0, 0.8);
    text-shadow: none;
    animation: none;
}

    .glowing-btn:hover .glowing-txt {
        animation: none;
    }

    .glowing-btn:hover .faulty-letter {
        animation: none;
        text-shadow: none;
        opacity: 1;
    }

    .glowing-btn:hover:before {
        filter: blur(1.5em);
        opacity: 1;
    }

    .glowing-btn:hover:after {
        opacity: 1;
    }

/* button animation */
@keyframes faulty-flicker {
    0% {
        opacity: 0.1;
    }

    2% {
        opacity: 0.1;
    }

    4% {
        opacity: 0.5;
    }

    19% {
        opacity: 0.5;
    }

    21% {
        opacity: 0.1;
    }

    23% {
        opacity: 1;
    }

    80% {
        opacity: 0.5;
    }

    83% {
        opacity: 0.4;
    }

    87% {
        opacity: 1;
    }
}

@keyframes text-flicker {
    0% {
        opacity: 0.1;
    }

    2% {
        opacity: 1;
    }

    8% {
        opacity: 0.1;
    }

    9% {
        opacity: 1;
    }

    12% {
        opacity: 0.1;
    }

    20% {
        opacity: 1;
    }

    25% {
        opacity: 0.3;
    }

    30% {
        opacity: 1;
    }

    70% {
        opacity: 0.7;
    }

    72% {
        opacity: 0.2;
    }

    77% {
        opacity: 0.9;
    }

    100% {
        opacity: 0.9;
    }
}

@keyframes border-flicker {
    0% {
        opacity: 0.1;
    }

    2% {
        opacity: 1;
    }

    4% {
        opacity: 0.1;
    }

    8% {
        opacity: 1;
    }

    70% {
        opacity: 0.7;
    }

    100% {
        opacity: 1;
    }
}

/* Image Gallery */
.image-gallery {
    margin: 1vw 0 1vw 0;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.image-thumbnail {
    width: 6vw;
    height: 6vw;
    overflow: hidden;
    cursor: pointer;
    border: 2px solid #ddd;
    border-radius: 5px;
    transition: transform 0.3s;
}

    .image-thumbnail:hover {
        transform: scale(1.1);
    }

    .image-thumbnail img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

/* Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 60px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.9);
}

.modal-content {
    margin: auto;
    display: block;
    height: 90%;
    max-width: 700px;
}

    .modal-content img {
        pointer-events: none;
    }

.modal-content, .close {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

    .close:hover,
    .close:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }
